import React, { Component } from 'react';
import SortableTree from './sortableTree';
import  styles from '../scss/TocComponentStyle.scss';
import RaisedButton from 'material-ui/RaisedButton';
import request from 'superagent';


const externalNodeType = 'react-dnd';

 export default class TocComponent extends Component {
    
    constructor(props) {
        super(props);
        this.state = {
            treeData :'',
        };
    }
    componentWillMount(){
     const url = this.props.customizeCourseResponse.tocContents;
     const dataset = request.get(url).end((err, res) => { 
                   this.setState({
                   treeData: dataset.url
                   });
             });
             
 }

    HandleOnChange = () =>{
        this.props.CustomizeToc(this.state.treeData);
    }
    
    
    
    render() {

        if(this.state.treeData !=null){ 
        
        return (
           
    <div style = {{background: "#fff", border: "1px solid #dddddd",width: 400,height: 557}}>
                    <div style={{height: 810,width: "100%"}}>

                        <SortableTree dndType={externalNodeType} 
                            className="tree" id="tree" isVirtualized="false"   scaffoldBlockPxWidth="20"
                            treeData={this.state.treeData} maxDepth = {2}
                            onChange={ treeData => this.setState({ treeData })} 
                            onMoveNode = {this.HandleOnChange}
                            
                        />
                    </div>                  
            </div>  
            
        );
         }
    }
}
